package cz.upol.pja.lecture06.client.ws;

import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;

import cz.upol.pja.lecture06.HelloService;

/**
 * Klient k ukazkovemu vlastni webove sluzby
 */
public class HelloSOAPClient {
	
	public static void main(String[] args) throws MalformedURLException {
		URL wsdl = new URL("http://localhost:8080/lecture06/HelloService?wsdl");
		QName serviceName = new QName("http://lecture06.pja.upol.cz/", "HelloService");
		
		Service service = Service.create(wsdl, serviceName);
		HelloService helloService = service.getPort(HelloService.class);
		
		System.out.println(helloService.hello("world"));
		System.out.println(helloService.repeat("bedla jedla", 2));
	}
}
