package cz.upol.pja.lecture06.client.ws;

import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;

import cz.zcu.stag_ws.PredmetInfoType;
import cz.zcu.stag_ws.PredmetyService;



/**
 * Jednoduchy klient, ktery pomoci webovych sluzeb ziska nazev predmetu
 * majici zkratku KMI/PJA
 */
public class SOAPClient {
	
	public static void main(String[] args) throws MalformedURLException {

		URL wsdl = new URL("http://stagservices.upol.cz/ws/services/soap/predmety?wsdl");
		QName serviceName = new QName("http://stag-ws.zcu.cz/", "PredmetyServiceImplService");
		Service service = Service.create(wsdl, serviceName);
		
		PredmetyService predmety = service.getPort(PredmetyService.class);	
		PredmetInfoType predmet = predmety.getPredmetInfo("KMI", "PJA", null, null);
		
		System.out.println(predmet.getNazev());
	}

}
